Mark User Conversation As Delivered
curl --request POST \
--url https://{appid}.api-{region}.cometchat.io/v3/users/{uid}/conversation/delivered \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>' \
--data '
{
"messageId": 123
}
'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/users/{uid}/conversation/delivered"
payload = { "messageId": 123 }
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
onBehalfOf: '<onbehalfof>',
apikey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({messageId: 123})
};
fetch('https://{appid}.api-{region}.cometchat.io/v3/users/{uid}/conversation/delivered', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"Message": "All the messages from the user {{UID}} are marked as delivered for the user {{onBehalfOf}}."
}
}Conversations
Mark User Conversation As Delivered
This API will mark the user conversation as delivered.
POST
/
users
/
{uid}
/
conversation
/
delivered
Mark User Conversation As Delivered
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the receiver of the message
Path Parameters
UID of the user whose conversation needs to be fetched.
Body
application/json
The id of the message upto which the conversation needs to be marked as delivered.
Response
200 - application/json
Marking Conversation as delivered
⌘I